commit b1d2c143e8004535ee205eb374cf96d592f2f445
Author: Gaius Mulley <gaiusmod2@gmail.com>
Date:   Tue Nov 19 22:28:04 2024 +0000

    [PATCH] modula2: Pass --destdir for dir index during install of m2.info.
    
    This patch adds DESTDIR to the infodir when installing m2.info.
    
    gcc/m2/ChangeLog
    
            * Make-lang.in (m2.install-info): Pass --destdir for dir index.
    
    (cherry picked from commit 232a86f9640cde6908d0875b8df52c36030c5b5e)
    
    Signed-off-by: Gaius Mulley <gaiusmod2@gmail.com>

diff --git a/gcc/m2/Make-lang.in b/gcc/m2/Make-lang.in
index 0abd8ce1455..da4226123df 100644
--- a/gcc/m2/Make-lang.in
+++ b/gcc/m2/Make-lang.in
@@ -425,7 +425,7 @@ m2.install-info: installdirs
 	else true; fi
 	-if [ -f gm2$(exeext) ] && [ -f $(DESTDIR)$(infodir)/m2.info ]; then \
 	  if $(SHELL) -c 'install-info --version' >/dev/null 2>&1; then \
-	    install-info --dir-file=$(infodir)/dir $(DESTDIR)$(infodir)/m2.info; \
+	    install-info --dir-file=$(DESTDIR)$(infodir)/dir $(DESTDIR)$(infodir)/m2.info; \
 	  else true; fi; \
 	else true; fi
 

